# Filecoin v1 retrievals

V1 retrievals on Filecoin are done using HTTP range requests to Storage providers hosting the files. Currently, this requires that you provide multiple pieces of information:

* A metadata.yml file that specifies the way that the full epoch car file was split into Filecoin pieces
* A deals.csv file that maps the individual Filecoin pieces to storage providers

A sample config file for an epoch using Filecoin v1 retrievals would look like this:

```yaml
version: 1
epoch: 100
data:
  car:
    from_pieces:
      deals:
        uri: '/of1/100/deals.csv'
      metadata:
        uri: '/of1/100/metadata.yaml'
indexes:
  cid_to_offset_and_size:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-cid-to-offset-and-size.index
  slot_to_cid:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-slot-to-cid.index
  sig_to_cid:
    uri:  /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-to-cid.index
  sig_exists:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-exists.index
  gsfa:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-gsfa.indexdir
```

All indexes except gsfa can use either a local file system URL or an HTTP URL.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.old-faithful.net/running-old-faithful/installation-and-setup/configuration-files/filecoin-v1-retrievals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
